%bcond_with tests

Summary:        Fast, Extensible Progress Meter
Name:           python-tqdm
Version:        4.66.1
Release:        2%{?dist}
License:        MPLv2.0 and MIT
URL:            https://github.com/tqdm/tqdm
Source0:        %{pypi_source tqdm}

Patch0001:      CVE-2024-34062-cli-eval-safety.patch

BuildArch:      noarch
BuildRequires:  python3-devel python3-wheel
BuildRequires:  python3-setuptools_scm+toml

%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio >= 0.17
BuildRequires:  python3-pytest-timeout
BuildRequires:  python3-tkinter
BuildRequires:  python3-dask
BuildRequires:  python3-numpy
BuildRequires:  python3-pandas
BuildRequires:  python3-rich
%endif

%description
tqdm instantly make your loops show a smart progress meter - just wrap any iterable\
with "tqdm(iterable)", and you are done!

%package -n python3-tqdm
Summary:        Fast, Extensible Progress Meter
Provides:       python3-tqdm

%description -n python3-tqdm
tqdm instantly make your loops show a smart progress meter - just wrap any iterable\
with "tqdm(iterable)", and you are done!

%prep
%autosetup -n tqdm-%{version} -p1
chmod -x tqdm/completion.sh
echo 'include tqdm/tqdm.1' >> MANIFEST.in
echo 'include tqdm/completion.sh' >> MANIFEST.in

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tqdm
install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/tqdm.1 \
  %{buildroot}%{_mandir}/man1/tqdm.1
install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/completion.sh \
  %{buildroot}%{_datadir}/bash-completion/completions/tqdm.bash

%check
%if %{with tests}
%pytest
%endif


%files -n python3-tqdm -f %{pyproject_files}
%license LICENCE
%doc README.rst examples
%{_bindir}/tqdm
%{_mandir}/man1/tqdm.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/tqdm.bash


%changelog
* Fri May 17 2024 Shuo Wang <abushwang@tencent.com> - 4.66.1-2
- backport patch to fix CVE-2024-34062
- fix cli eval safety

* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 4.66.1-1
- Upgrade to version 4.66.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.64.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.64.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.64.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.64.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Feng Weiyao <wynnfeng@tencent.com> - 4.64.1-1
- package init.
